Module java.corba
Package org.omg.CORBA

## Class ServiceInformationHelper

- java.lang.Object
- - org.omg.CORBA.ServiceInformationHelper

    public abstract class ServiceInformationHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ServiceInformationHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ServiceInformation` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, ServiceInformation that)`
`static ServiceInformation` `read(InputStream in)`
`static TypeCode` `type()`
`static void` `write(OutputStream out, ServiceInformation that)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceInformationHelper

    public ServiceInformationHelper()

### Method Detail

#### write

    public static void write(OutputStream out,
                             ServiceInformation that)

#### read

    public static ServiceInformation read(InputStream in)

#### extract

    public static ServiceInformation extract(Any a)

#### insert

    public static void insert(Any a,
                              ServiceInformation that)

#### type

    public static TypeCode type()

#### id

    public static String id()